Package: groovy.org.codenarc.rule.exceptions

## [Groovy] Class ExceptionExtendsThrowableRule

- groovy.org.codenarc.rule.exceptions.ExceptionExtendsThrowableRule

- Checks for classes that extend Throwable. Custom exception classes should subclass Exception or one of its descendants.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority